def cmd_look(pl, world, input):
  """ Lets you look at things.  syntax: look [at] [the] [thing]"""
  item = None
  desc = None
  if " " in input:
    input = input.split()
    for i in range(1, len(input)):
      item = input[i].lower()
      if not item in ["at", "the"]:
        break

  if item == None:
    _write(pl, pl._location.look(pl))
    return 1

  else:
    # look through player's contents
    for mem in pl._contents:
      desc = mem.getDesc(pl, item)
      if desc != None:
        _write(pl, str(desc))
        return 1

    # look through room contents
    for mem in pl._location._contents:
      desc = mem.getDesc(pl, item)
      if desc != None:
        _write(pl, str(desc))
        return 1

    # look at room/lookables
    desc = pl._location.getDesc(pl, item)
    if desc != None:
      _write(pl, str(desc))
      return 1

  pl.writeln("look at what?")
  return 1

add_command("look", cmd_look)
