def cmd_shout(pl, world, input):
  """ Shout at mudders in the same and adjacent rooms.  syntax: shout [stuff]"""
  if " " not in input:
    pl.writeln("say what?")
    return 0

  origtext = input.split(" ", 1)[1]

  # tell the mob the shout
  mess = message.Message("You say: %s\n" % origtext, mudlibapi.SHOUT, pl, 5, 0)
  pl.write(mess)

  # spam the room with the shout
  mess._message = "%s shouts: %s\n" % (pl.getName(), origtext)
  pl._location.spamroom(mess, [pl])

  # spam adjacent rooms (and parent room if there is one)
  mess._message = "Someone shouts: %s\n" % origtext
  if pl._location._location:
    pl._location._location.spamroom(mess)

  for mem in pl._location.getExits():
    room = world.loadRoom(pl._location.getExit(mem))
    if room != None:
      room.spamroom(mess)

  return 1

add_command("shout", cmd_shout)
