# Stringbean - a simple Python-based mud
# Copyright (C) 2004 Will Guaraldi
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

from mudlib import mudlibapi

class Neil(mudlibapi.NPC):
  def __init__(self):
    mudlibapi.NPC.__init__(self)
    self._names = ["neil", "bartender"]
    self._short = "Neil the bartender."
    self._desc = "Neil is the bartender of this little mini-tavern."

    self._things = ["emote flicks a bug off his bar.", "", "", "", "",
                    "say Mighty fine morning, isn't it?", "", "", "", "",
                    "shout Hey--anyone want a beer?", "", "", "", "", "",
                    "emote flicks a bug off his bar.", "", "", "", "", ""]

    mudlibapi.register_hb(self)

  def heartbeat(self, world):
    cmd = mudlibapi.random_choice(self._things)
    if cmd:
      self.handleInput(world, cmd)
