def emote_puppy_callback(pl, world):
  emote_no_target(pl, "You have a sudden urge to bark...  \"BARK!\"", pl.getName() + " barks!")

def emote_puppy(pl, world, input):
  input = input.split(" ")
  if len(input) == 1:
    emote_no_target(pl, "You look around mischieviously and yell, \"PUPPIES!!!\"", pl.getName() + " looks around mischieviously and yells, \"PUPPIES!!!\"")
    return 1

  if len(input) == 2:
    target = utils.find_in_contents(pl._location, input[1])
    if target:
      tname = target.getName()
      pname = pl.getName()
      emote_target(pl, target, 
                   "You look mischieviously at " + tname + " and yell, \"PUPPIES!!!\"",
                   pname + " looks mischieviously at you and yells, \"PUPPIES!!!\"",
                   pname + " looks mischieviously at " + tname + " and yells, \"PUPPIES!!!\"")

      # callback making that person bark
      mudlibapi.callout(2, emote_puppy_callback, target, world)
      return 1
  return 0

add_emote("puppy", emote_puppy)
