def emote_yay(pl, world, input):
  input = input.split(" ")

  plname = pl.getName()
  plhhi = utils.hisherits(pl)

  if len(input) == 1:
    emote_no_target(pl, "You throw your hands in the air and yell, \"Yay!\"", 
           "%s throws %s hands in the air and exclaims, \"Yay!\"" % (plname, plhhi))
    return 1

  if len(input) == 2:
    target = utils.find_in_contents(pl._location, input[1])
    if target:
      tname = target.getName()
      emote_target(pl, target, 
           "You throw your hands in the air at %s and yell, \"Yay!\"" % (tname),
           "%s throws %s in the air and exclaims, \"Yay!\" at you." % (plname, plhhi),
           "%s throws %s in the air and exclaims, \"Yay!\" at %s." % (plname, plhhi, tname))
      return 1
  return 0

add_emote("yay", emote_yay)
